# Enum Class VulkanMemoryHeapFlag

java.lang.Object
java.lang.Enum<VulkanMemoryHeapFlag>
com.io7m.jcoronado.api.VulkanMemoryHeapFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanMemoryHeapFlag>`, `Constable`

public enum VulkanMemoryHeapFlag extends Enum<VulkanMemoryHeapFlag> implements VulkanEnumBitmaskType

See Also:
  - "VkMemoryHeapFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_MEMORY_HEAP_DEVICE_LOCAL_BIT`
  Specifies that the heap corresponds to device local memory.
  `VK_MEMORY_HEAP_MULTI_INSTANCE_BIT`
  Specifies that in a logical device representing more than one physical device, there is a per-physical device instance of the heap memory.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanMemoryHeapFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanMemoryHeapFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_MEMORY_HEAP_DEVICE_LOCAL_BIT

    public static final VulkanMemoryHeapFlag VK_MEMORY_HEAP_DEVICE_LOCAL_BIT
    Specifies that the heap corresponds to device local memory.

  - ### VK_MEMORY_HEAP_MULTI_INSTANCE_BIT

    public static final VulkanMemoryHeapFlag VK_MEMORY_HEAP_MULTI_INSTANCE_BIT
    Specifies that in a logical device representing more than one physical device, there is a per-physical device instance of the heap memory. By default, an allocation from such a heap will be replicated to each physical device’s instance of the heap.

- ## Method Details

  - ### values

    public static VulkanMemoryHeapFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanMemoryHeapFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant